### File

`packages/eui-dynamic-forms-ui/src/lib/components/control-field/date-input/date-input.component.ts`

### Extends

`BaseControlComponent`

### Implements

`OnInit` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `ux-dyn-date-input`
styleUrls | `./date-input.component.scss`
templateUrl | `./date-input.component.html`

### Index

###### Properties
date inputs maxDateObj minDateObj controlName dynFormControl Optional formMultiStore formService Optional formState Optional childrenConfig context Optional dynFormApi Optional fieldId Optional frameId Optional genericService Optional globalStore isEditMode Optional parent Optional parentData Optional setId
###### Methods
onInputChange getDynFormApi getFieldData saveFieldData

### Constructor

`constructor(config, cdRef: ChangeDetectorRef)`
Parameters :
Name | Type | Optional
config |  | No
cdRef | `ChangeDetectorRef` | No

### Methods

onInputChange
`onInputChange(val)`
Parameters :
Name | Optional
val | No
Returns : `void`

getDynFormApi
`getDynFormApi()`
Returns : `any`

getFieldData
`getFieldData(key: string)`
Parameters :
Name | Type | Optional
key | `string` | No
Returns : `Observable<any>`

saveFieldData
`saveFieldData(key: string, val: any)`
Parameters :
Name | Type | Optional
key | `string` | No
val | `any` | No
Returns : `void`

### Properties

date
Type : `Date`

inputs
Type : `DateInputComponentInputs`

maxDateObj
Type : `Date`

minDateObj
Type : `Date`

controlName
Type : `string`

dynFormControl
Type : `FormControl`

Optional formMultiStore
Type : `IsolatedMultiReduxHelper`

formService
Type : `FormService`

Optional formState
Type : `Observable<FormState>`

Optional childrenConfig
Type : `UxDynFormModelArray`

context
Type : `FieldContext`

Optional dynFormApi
Type : `DynFormApi`

Optional fieldId
Type : `string`

Optional frameId
Type : `string`

Optional genericService
Type : `DynGenericService`

Optional globalStore
Type : `Store<any>`

isEditMode
Type : `boolean`

Optional parent
Type : `FormGroup | FormArray`

Optional parentData
Type : `UxDynFormArrayParentData`

Optional setId
Type : `string`

# results matching ""

# No results matching ""